in scala.actors
class Channel

`class` Channel [Msg]
  `extends` java.lang.Object
  `with` scala.actors.InputChannel[Msg]
  `with` scala.actors.OutputChannel[Msg]
  `with` scala.ScalaObject

  This class provides a means for typed communication among actors. Only the actor creating an instance of a `Channel` may receive from it.

Version:
  0.9.2
Author:
  Philipp Haller

Constructor Summary
| `def` this

Var Summary
| `var` receiver : scala.actors.Actor

Def Summary
| `def` ! (msg: Msg) : scala.Unit Sends `msg` to this `Channel`.
| `def` !? (msec: scala.Long, msg: Msg) : scala.Option[scala.Any]
| `def` !? (msg: Msg) : scala.Any Sends `msg` to this `Channel` and awaits reply.
| `def` forward (msg: Msg) : scala.Unit Forwards `msg` to `this` keeping the last sender as sender instead of `self`.
| `def` react (f: scala.PartialFunction[scala.Any, scala.Unit]) : scala.Nothing
| `def` reactWithin (msec: scala.Long)(f: scala.PartialFunction[scala.Any, scala.Unit]) : scala.Nothing
| `def` receive [R] (f: scala.PartialFunction[scala.Any, R]) : R
| `def` receiveWithin [R] (msec: scala.Long)(f: scala.PartialFunction[scala.Any, R]) : R

Def inherited from scala.actors.InputChannel[Msg]
react , reactWithin, receive, receiveWithin

Def inherited from scala.actors.OutputChannel[Msg]
! , forward

Constructor Detail

`def` this

Var Detail

`var` receiver : scala.actors.Actor

Def Detail

`def` ! (msg: Msg): scala.Unit

  Sends `msg` to this `Channel`.

`def` !? (msec: scala.Long, msg: Msg): scala.Option[scala.Any]

`def` !? (msg: Msg): scala.Any

  Sends `msg` to this `Channel` and awaits reply.

`def` forward (msg: Msg): scala.Unit

  Forwards `msg` to `this` keeping the last sender as sender instead of `self`.

`def` react (f: scala.PartialFunction[scala.Any, scala.Unit]): scala.Nothing

`def` reactWithin (msec: scala.Long)(f: scala.PartialFunction[scala.Any, scala.Unit]): scala.Nothing

`def` receive [R](f: scala.PartialFunction[scala.Any, R]): R

`def` receiveWithin [R](msec: scala.Long)(f: scala.PartialFunction[scala.Any, R]): R